io.undertow.server.handlers.encoding

## Class ContentEncodingRepository

- java.lang.Object
- - io.undertow.server.handlers.encoding.ContentEncodingRepository

    public class ContentEncodingRepository
    extends Object

Author:
  Stuart Douglas

### Field Summary

Fields
`static String` `IDENTITY`
`static io.undertow.server.handlers.encoding.EncodingMapping` `IDENTITY_ENCODING`

### Constructor Summary

Constructors
Constructor and Description
`ContentEncodingRepository()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ContentEncodingRepository` `addEncodingHandler(String encoding, ContentEncodingProvider encoder, int priority)`
`ContentEncodingRepository` `addEncodingHandler(String encoding, ContentEncodingProvider encoder, int priority, Predicate enabledPredicate)`
`AllowedContentEncodings` `getContentEncodings(HttpServerExchange exchange)`
`ContentEncodingRepository` `removeEncodingHandler(String encoding)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IDENTITY

    public static final String IDENTITY

See Also:
  Constant Field Values

#### IDENTITY_ENCODING

    public static final io.undertow.server.handlers.encoding.EncodingMapping IDENTITY_ENCODING

### Constructor Detail

#### ContentEncodingRepository

    public ContentEncodingRepository()

### Method Detail

#### getContentEncodings

    public AllowedContentEncodings getContentEncodings(HttpServerExchange exchange)

#### addEncodingHandler

    public ContentEncodingRepository addEncodingHandler(String encoding,
                                                        ContentEncodingProvider encoder,
                                                        int priority)

#### addEncodingHandler

    public ContentEncodingRepository addEncodingHandler(String encoding,
                                                        ContentEncodingProvider encoder,
                                                        int priority,
                                                        Predicate enabledPredicate)

#### removeEncodingHandler

    public ContentEncodingRepository removeEncodingHandler(String encoding)